<?php

/**
 * Menu callback.
 */
function _appointments_mail_settings() {
  $form = array();
  $form['qmatic_link'] = array(
    '#type' => 'textfield',
    '#weight' => 1,
    '#title' => t('Qmatic WSDL'),
    '#description' => t('Insert the Qmatic WSDL link'),
    '#default_value' => variable_get('qmatic_link', 'http://109.109.98.94:8010/suite-calendar-service/services/Calendar?wsdl'),
    '#required' => TRUE,
  );
  $form['appointments_second_email'] = array(
    '#type' => 'textfield',
    '#weight' => 2,
    '#title' => t('Second email'),
    '#description' => t('A copy of the confirmation/cancellation email will be send to this email address.'),
    '#default_value' => variable_get('appointments_second_email', ''),
    '#required' => FALSE,
  );
  $form['confirmation'] = array(
    '#type' => 'fieldset',
    '#weight' => 3,
    '#title' => t('Confirmation email settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['confirmation']['appointments_confirmation_mail_title'] = array(
    '#type' => 'textfield',
    '#weight' => 1,
    '#title' => t('Email subject'),
    '#description' => _appointments_confirmation_mail_token_list(),
    '#default_value' => variable_get('appointments_confirmation_mail_title', ''),
    '#required' => TRUE,
  );
  $form['confirmation']['appointments_confirmation_mail_text'] = array(
    '#type' => 'textarea',
    '#weight' => 2,
    '#title' => t('Email body'),
    '#description' => _appointments_confirmation_mail_token_list(),
    '#default_value' => variable_get('appointments_confirmation_mail_text', ''),
    '#required' => TRUE,
  );

  $form['cancellation'] = array(
    '#type' => 'fieldset',
    '#weight' => 4,
    '#title' => t('Cancellation email settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['cancellation']['appointments_cancellation_mail_title'] = array(
    '#type' => 'textfield',
    '#weight' => 1,
    '#title' => t('Email subject'),
    '#description' => _appointments_cancellation_mail_token_list(),
    '#default_value' => variable_get('appointments_cancellation_mail_title', ''),
    '#required' => TRUE,
  );
  $form['cancellation']['appointments_cancellation_mail_text'] = array(
    '#type' => 'textarea',
    '#weight' => 2,
    '#title' => t('Email body'),
    '#description' => _appointments_cancellation_mail_token_list(),
    '#default_value' => variable_get('appointments_cancellation_mail_text', ''),
    '#required' => TRUE,
  );

  return system_settings_form($form);
}

/**
 * Helper function for rendering a list of available tokens for the confirmation email.
 */
function _appointments_confirmation_mail_token_list() {
  return theme('item_list', array('items' => array(
    t('%id - will be replaced by the appointment ID'),
    t('%subject - will be replaced by the appointment subject'),
    t('%estimated_duration - will be replaced by the appointment\'s estimated duration'),
    t('%date - will be replaced by the appointment date'),
    t('%start_time - will be replaced by the appointment start time'),
    t('%end_time - will be replaced by the appointment end time'),
    t('%first_name - will be replaced by the user\'s first name'),
    t('%surname - will be replaced by the user\'s surname'),
    t('%bsn - will be replaced by the user\'s BSN'),
    t('%email - will be replaced by the user\'s email'),
    t('%telephone_number - will be replaced by the user\'s telephone number'),
    t('%task_confirm_text - will be replaced by the task confirmation text'),
    t('%cancel_appointment_link - will be replaced by the cancel appointment page URL'),
  )));
}

/**
 * Helper function for rendering a list of available tokens for the cancellation email.
 */
function _appointments_cancellation_mail_token_list() {
  return theme('item_list', array('items' => array(
    t('%id - will be replaced by the appointment ID'),
    t('%subject - will be replaced by the appointment subject'),
    t('%date - will be replaced by the appointment date'),
    t('%start_time - will be replaced by the appointment start time'),
    t('%end_time - will be replaced by the appointment end time'),
    t('%email - will be replaced by the user\'s email'),
  )));
}
