<?php

class appointments_qmatic_client {

  function __construct() {
    $link = variable_get('qmatic_link', 'http://109.109.98.94:8010/suite-calendar-service/services/Calendar?wsdl');
    $this->soap_client = new SoapClient($link);
  }

  public function get_available_products() {
    $client = $this->soap_client;
    $available_products = $client->getAvailableProducts();
    usort($available_products->getAvailableProductsReturn, array($this, 'sort_available_products'));
    return $available_products->getAvailableProductsReturn;
  }

  protected function sort_available_products($a, $b) {
    return strcmp($a->name, $b->name);
  }

  public function get_available_appointment_days($product_link_id) {
    $available_appointment_days = $this->soap_client->getAvailableAppointmentDays(
      array(
        'productLinkID' => $product_link_id,
      )
    );
    return $available_appointment_days->getAvailableAppointmentDaysReturn;
  }

  public function get_available_appointment_times($product_link_id, $app_date) {
    $available_appointment_times = $this->soap_client->getAvailableAppointmentTimes(
      array(
        'productLinkID' => $product_link_id,
        'appDate' => $app_date,
      )
    );
    return $available_appointment_times->getAvailableAppointmentTimesReturn;
  }

  public function get_customer_appointments($customer_id, $from_date) {
    $get_customer_appointment = $this->soap_client->getCustomerAppointments(
      array(
        'customerId' => $customer_id,
        'fromDate' => $from_date,
      )
    );
    return isset($get_customer_appointment->getCustomerAppointmentsReturn) ? $get_customer_appointment->getCustomerAppointmentsReturn : FALSE;
  }

  public function delete_appointment($appointment_id) {
    $delete_appointment = $this->soap_client->deleteAppointment(
      array(
        'appointmentId' => $appointment_id,
      )
    );
    return $delete_appointment->deleteAppointmentReturn;
  }

  public function bookAppointment(array $book_data) {
    $book_appointment = $this->soap_client->bookAppointment(
      array(
        'productLinkID' => (isset($book_data['productLinkID']))?$book_data['productLinkID']:'',
        'appDate' => (isset($book_data['appDate']))?$book_data['appDate']:'',
        'appTime' => (isset($book_data['appTime']))?$book_data['appTime']:'',
        'name' => (isset($book_data['name']))?$book_data['name']:'',
        'address' => (isset($book_data['address']))?$book_data['address']:'',
        'town' => (isset($book_data['town']))?$book_data['town']:'',
        'state' => (isset($book_data['state']))?$book_data['state']:'',
        'zipCode' => (isset($book_data['zipCode']))?$book_data['zipCode']:'',
        'country' => (isset($book_data['country']))?$book_data['country']:'',
        'phone' => (isset($book_data['phone']))?$book_data['phone']:'',
        'phone2' => (isset($book_data['phone2']))?$book_data['phone2']:'',
        'email' => (isset($book_data['email']))?$book_data['email']:'',
        'piNo' => (isset($book_data['piNo']))?$book_data['piNo']:'',
        'accountNo' => (isset($book_data['accountNo']))?$book_data['accountNo']:'',
        'cardNum' => (isset($book_data['cardNum']))?$book_data['cardNum']:'',
        'title' => (isset($book_data['title']))?$book_data['title']:'',
        'born' => (isset($book_data['born']))?$book_data['born']:'',
        'vipLevel' => (isset($book_data['vipLevel']))?$book_data['vipLevel']:'',
        'gender' => (isset($book_data['gender']))?$book_data['gender']:'',
        'social' => (isset($book_data['social']))?$book_data['social']:'',
        'family' => (isset($book_data['family']))?$book_data['family']:'',
        'customerClass' => (isset($book_data['customerClass']))?$book_data['customerClass']:'',
        'comments' => (isset($book_data['comments']))?$book_data['comments']:'',
      )
    );
    return $book_appointment->bookAppointmentReturn;
  }

  public function get_license_info() {
    $client = $this->soap_client;
    $license = $client->getLicenseInfo();
    return $license->getLicenseInfoReturn;
  }
}

