(function ($) {
  Drupal.behaviors.appointments = {
    attach: function (context, settings) {
      var $sectionListItems = $('.page-appointments .section-list li a', context);
      var $sections = $('.page-appointments .section', context);
      var $selectedSection = $sectionListItems.filter('.selected');

      $sectionListItems.click(function () {
        var $this = $(this);
        var $parent = $this.closest('li');
        var sectionHash = $this.attr('href').split('#')[1];

        $sectionListItems.removeClass('selected');
        $sectionListItems.parents().removeClass('selected');
        $this.addClass('selected');
        $parent.addClass('selected');

        $sections.hide();
        $('#' + sectionHash + '-content').show();
      });

      if (window.location.hash != '') {
        // If URL contains hash.
        var hash = window.location.hash.split('#')[1];
        $('#' + hash + '-tab').trigger('click');
      }
      else if ($selectedSection.length) {
        // If section has 'selected' class.
        var hash = $selectedSection.attr('href').split('#')[1];
        $('#' + hash + '-tab').trigger('click');
      }
      else {
        // Fallback to the first section.
        $('#section-1-tab').trigger('click');
      }
    }
  }
})(jQuery);
