<?php

/**
 * DigiD config form.
 */
function dvg_digid_admin_form() {
  _dvg_digid_load_simplesamlphp();
  $form = array();

  $form['dvg_digid_auth_source'] = array(
    '#title' => t('Authentication source'),
    '#type' => 'select',
    '#options' => drupal_map_assoc(SimpleSAML_Auth_Source::getSources()),
    '#default_value' => variable_get('dvg_digid_auth_source'),
    '#required' => TRUE,
  );
  $form['dvg_digid_error_url'] = array(
    '#title' => t('URL of the error page'),
    '#description' => t('Leave empty if you don\'t want to redirect.'),
    '#type' => 'textfield',
    '#default_value' => variable_get('dvg_digid_error_url'),
  );
  $roles = array('' => t('None')) + drupal_map_assoc(user_roles(TRUE));
  $form['dvg_digid_role'] = array(
    '#title' => t('Assign this role to DigiD authenticated users'),
    '#type' => 'select',
    '#options' => $roles,
    '#default_value' => variable_get('dvg_digid_role'),
  );
  $form['dvg_digid_confirm'] = array(
    '#title' => t('Use a confirmation page before redirecting the user to the DigiD identity provider'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('dvg_digid_confirm'),
  );
  $form['dvg_digid_logo'] = array(
    '#title' => t('DigiD logo'),
    '#type' => 'managed_file',
    '#default_value' => variable_get('dvg_digid_logo'),
    '#description' => t('Unfortunately, we can\'t distribute the official DigiD logo with DVG because of licence limitations.') . '<br>' . l(t('More information and downloadable logo.'), 'http://www.logius.nl/producten/toegang/digid/'),
    '#required' => TRUE,
    '#upload_location' => 'public://',
  );

  $form = system_settings_form($form);
  $form['#submit'][] = 'dvg_digid_admin_form_submit';
  return $form;
}

/**
 * Custom submit function for the system settings form.
 */
function dvg_digid_admin_form_submit($form, &$form_state) {
  $file = file_load($form_state['values']['dvg_digid_logo']);
  $file->status = FILE_STATUS_PERMANENT;
  file_save($file);
  file_usage_add($file, 'dvg_digid', 'dvg_digid', 0);
}
