<?php

/**
 * Page callback for texts configuration.
 */
function dvg_global_texts($form, &$form_state) {

  /**
   * Footer texts.
   */
  $form['dvg_custom__footer_texts'] = array(
    '#type' => 'fieldset',
    '#title' => t('Footer'),
    '#weight' => -40,
    '#tree' => TRUE,
  );

  $num_footer_texts = variable_get('dvg_custom__num_footer_texts', 3);
  $default_values = variable_get('dvg_custom__footer_texts', array());
  for ($i = 1; $i <= $num_footer_texts; $i++) {
    $field_name = 'dvg_custom__footer_text_' . $i;
    $field_value = !empty($default_values[$field_name]['value']) ? $default_values[$field_name] : array('value' => '', 'format' => 'filtered_html');

    $form['dvg_custom__footer_texts'][$field_name] = array(
      '#size' => '80',
      '#weight' => $i,
      '#type' => 'text_format',
      '#format' => $field_value['format'],
      '#title' => t('Footer line @num', array('@num' => $i)),
      '#rows' => 3,
      '#default_value' => $field_value['value'],
    );
  }

  $form['#submit'][] = 'dvg_global_texts_submit_expire_varnish_cache';

  return system_settings_form($form);
}

/**
 * Submit handler for the texts form.
 * Expires the varnish cache of all pages.
 */
function dvg_global_texts_submit_expire_varnish_cache($form, $form_state) {
  if (function_exists('varnish_expire_cache')) {
    varnish_purge_all_pages();
  }
}

/**
 * Validation helper to validate number is a valid Basic Page node.
 */
function _dvg_global_validate_basicpage_nid($element, &$form_state) {
  $value = $element['#value'];

  if ($node = node_load($value)) {
    if ($node->type != 'page') {
      form_error($element, t('%name must be a valid Basic Page node ID.', array('%name' => $element['#title'])));
    }
  }
}
