<?php
/**
 * @file
 * dvg_global.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function dvg_global_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'frontpage';
  $context->description = '';
  $context->tag = 'Global';
  $context->conditions = array(
    'path' => array(
      'values' => array(
        '<front>' => '<front>',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'menu_block-4' => array(
          'module' => 'menu_block',
          'delta' => '4',
          'region' => 'content',
          'weight' => '-10',
        ),
        'views-topical-frontpage_block' => array(
          'module' => 'views',
          'delta' => 'topical-frontpage_block',
          'region' => 'content',
          'weight' => '-8',
        ),
        'dvg_global-dvg_global__front_about' => array(
          'module' => 'dvg_global',
          'delta' => 'dvg_global__front_about',
          'region' => 'content',
          'weight' => '-7',
        ),
        'menu_block-2' => array(
          'module' => 'menu_block',
          'delta' => '2',
          'region' => 'content',
          'weight' => '-6',
        ),
        'dvg_global-dvg_global__front_organization' => array(
          'module' => 'dvg_global',
          'delta' => 'dvg_global__front_organization',
          'region' => 'content',
          'weight' => '-5',
        ),
        'menu_block-3' => array(
          'module' => 'menu_block',
          'delta' => '3',
          'region' => 'content',
          'weight' => '-4',
        ),
      ),
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('Global');
  $export['frontpage'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'global';
  $context->description = '';
  $context->tag = 'Global';
  $context->conditions = array(
    'sitewide' => array(
      'values' => array(
        1 => 1,
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'views--exp-search-page' => array(
          'module' => 'views',
          'delta' => '-exp-search-page',
          'region' => 'header',
          'weight' => '-10',
        ),
        'menu-menu-social-media-menu' => array(
          'module' => 'menu',
          'delta' => 'menu-social-media-menu',
          'region' => 'footer_top',
          'weight' => '-10',
        ),
        'menu-menu-footer-menu' => array(
          'module' => 'menu',
          'delta' => 'menu-footer-menu',
          'region' => 'footer_top',
          'weight' => '-9',
        ),
        'dvg_global-dvg_global__footer_text' => array(
          'module' => 'dvg_global',
          'delta' => 'dvg_global__footer_text',
          'region' => 'footer_bottom',
          'weight' => '-10',
        ),
        'system-help' => array(
          'module' => 'system',
          'delta' => 'help',
          'region' => 'content',
          'weight' => -10,
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Global');
  $export['global'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'user-menu';
  $context->description = '';
  $context->tag = 'Users';
  $context->conditions = array(
    'user' => array(
      'values' => array(
        'digid' => 'digid',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'system-user-menu' => array(
          'module' => 'system',
          'delta' => 'user-menu',
          'region' => 'top',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Users');
  $export['user-menu'] = $context;

  return $export;
}
